#
# spec file for package libsensors3 (Version 2.10.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libsensors3
BuildRequires:  bison flex sysfsutils
Url:            http://www.lm-sensors.org/
Version:        2.10.6
Release:        10.2
Summary:        Hardware health monitoring library
License:        GPL v2 or later
Group:          System/Libraries
AutoReqProv:    on
Source0:        lm_sensors-2.10.6.tar.bz2
Patch:          lm_sensors-2.10.6.dif
Patch1:         lm_sensors-only-lib.dif
Patch2:         lm_sensors-2.7.0-kernelheaders.dif
Patch3:         lm_sensors-r5147-ignore-missing-device-link.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
libsensors offers a way for applications to access the hardware
monitoring chips of the system. A system-dependent configuration file
controls how the different inputs are labeled and what scaling factors
have to be applied for the specific hardware, so that the output makes
sense to the user.



Authors:
--------
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock   <phil@netroedge.com>
    Kysti Mlkki      <kmalkki@cc.hut.fi>
    Frodo Looijaard    <frodol@dds.nl>
    Jean Delvare       <khali@linux-fr.org>
    Mark M. Hoffman    <mhoffman@lightlink.com>

%package -n libsensors3-devel
License:        GPL v2 or later
Summary:        Hardware health monitoring library
Group:          Development/Libraries/C and C++
Requires:       libsensors3 = %{version}
Requires:       sysfsutils
AutoReqProv:    on
Conflicts:      libsensors4-devel

%description -n libsensors3-devel
libsensors offers a way for applications to access the hardware
monitoring chips of the system. A system-dependent configuration file
controls how the different inputs are labeled and what scaling factors
have to be applied for the specific hardware, so that the output makes
sense to the user.



Authors:
--------
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock   <phil@netroedge.com>
    Kysti Mlkki      <kmalkki@cc.hut.fi>
    Frodo Looijaard    <frodol@dds.nl>
    Jean Delvare       <khali@linux-fr.org>
    Mark M. Hoffman    <mhoffman@lightlink.com>

%prep
%setup -q -n lm_sensors-%{version} 
%patch
%patch1
%patch2
%patch3

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
    make LIBDIR=%{_libdir} user

%install
    make user_install LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT
    chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/libsensors.so.*
# cleanup
rm -f $RPM_BUILD_ROOT/usr/src/linux/include/sensors.h
# sensors.conf.5 would conflict with libsensors4
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/sensors.conf.5

%post -p /sbin/ldconfig

%postun
%{insserv_cleanup}
/sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/sensors.conf
%{_libdir}/libsensors.so.3*

%files -n libsensors3-devel
%defattr(-,root,root)
/usr/include/sensors/
%{_libdir}/libsensors.a
%{_libdir}/libsensors.so
%doc /usr/share/man/man3/*.3.gz

%changelog
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Mar 17 2008 jdelvare@suse.de
- lm_sensors-r5147-ignore-missing-device-link.dif: Don't choke on
  hwmon devices with no device link. The new thermal zone code that
  went into kernel 2.6.25-rc5-git4 creates one such hwmon device.
* Mon Mar 10 2008 jdelvare@suse.de
- Update to lm_sensors version 2.10.6
  * Fix fschrc and fschmd support
  * Fix sysfs presence detection
  * Don't choke on unrecognized devices
  * Fix lm93 vid2 access
  * No in1 on w83783s
  * Support DOS-style configuration files again
- Stop using %%run_ldconfig.
* Thu Nov 29 2007 jdelvare@suse.de
- Add missing Conflicts tag.
- Delete redundant description section.
* Mon Nov 26 2007 jdelvare@suse.de
- Copy sensors to libsensors3 and strip it down to only provide
  the needed compatibility libraries.
* Thu Nov 22 2007 jdelvare@suse.de
- Drop local changes to sensors-detect that are no longer relevant.
- Drop local changes to sensord.init: we no longer package it.
* Wed Nov 21 2007 jdelvare@suse.de
- Add missing Requires to libsensors3-devel. This is a cosmetic
  change only, as the requirement was already drawn indirectly.
* Mon Nov  5 2007 jdelvare@suse.de
- Add split provides to subpackages libsensors3-devel and sensord
  so that an update will work as designed.
* Fri Nov  2 2007 jdelvare@suse.de
- Fix two rpmlint warnings. One of them was about a missing
  dependency between libsensors3-devel and libsensors3, which was
  breaking the build of other packages.
* Fri Nov  2 2007 jdelvare@suse.de
- Package libsensors separately. I've named the package
  "libsensors3" because it is going to fade out quickly in favor
  of the new, incompatible version from lm-sensors 3.
- Don't remove the build root before installing. rpmlint was
  compaining about that.
* Thu Nov  1 2007 jdelvare@suse.de
- Fix packaging breakage introduced by the following change:
  ppc and ia64 packages do not include isadump nor isaset.
* Wed Oct 31 2007 jdelvare@suse.de
- Package sensord separately.
- Don't include redundant or outdated initalization scripts in
  the documentation tree.
* Sun Oct 28 2007 jdelvare@suse.de
- Update to lm_sensors version 2.10.5
  * Support for the SMSC SCH3112, SCH3114, SCH3116
  * libsensors fixes for the thmc50, bmcsensors, lm93, adm1026
    drivers
  * sensord support for the w83793 and lm87 drivers
  * sensors fixes for the dme1737, thmc50 and adm1021 drivers
  * Detect new Winbond chips
- useful_addresses.html is no longer part of the package.
- lm_sensors-dont-probe-i2c-isa.dif: Drop, bug fixed upstream.
* Mon Oct 15 2007 jdelvare@suse.de
- Do not include i2c tools, they have their own package now.
* Mon Sep  3 2007 jdelvare@suse.de
- Run ldconfig in %%post and %%postun. rpmlint was complaining
  that this was missing.
* Tue Aug 28 2007 werner@suse.de
- Remove hard coded modules introduced by last change
* Tue Aug 14 2007 hvogel@suse.de
- Add sysconfig metadata [#300069]
* Mon Aug 13 2007 jdelvare@suse.de
- Don't probe i2c-isa as a regular i2c bus. This regression was
  introduced in lm_sensors 2.10.4. Fixed upstream in:
  http://www.lm-sensors.org/changeset/4649
* Wed Aug  1 2007 werner@suse.de
- Update to lm_sensors version 2.10.4
  * added support for recent devices and cips like
    dme1737, applesmc, abituguru3, f71882fg, w83627ehf (kernel 2.4)
    support for the w83627ehf VID function
    support for the w83627ehf thermal sensor types
    support for it87 fan4 and fan5
  * support block reads with specified length of I2C devices
  * A lot of fixes and enhancements
  * Add both patches form us for fancontrol and pwmconfig
* Wed Jun 27 2007 jdelvare@suse.de
- Don't package the decode-edid.pl script. It requires parse-edid
  from the read-edid package, which isn't included in Suse.
* Thu Jun 21 2007 dmueller@suse.de
- adjust buildrequires
* Mon Jun  4 2007 jdelvare@suse.de
- Don't build on s390 nor s390x.
* Mon May 28 2007 jdelvare@suse.de
- Fix two rpmlint errors: /etc/init.d/lm_sensors shouldn't be
  marked as a config file, and was missing a Short-Description
  tag.
* Wed May  9 2007 jdelvare@suse.de
- lm_sensors-no-xeon-script.patch: The decode-xeon.pl script is
  outdated. It was never ported to work with 2.6 kernels, so it is
  of no use on recent Suse distributions. Stop shipping it.
- Drop a legacy patch to sensors/main.c related to the
  configuration file name, which is no longer needed.
* Fri May  4 2007 jdelvare@suse.de
- Don't package outdated driver documentation. The up-to-date
  driver documentation is in the kernel-source package.
  (bug #271302)
- Two minor cleanups to the spec file.
* Thu Apr 12 2007 jdelvare@suse.de
- lm_sensors-2.8.3-nodump.patch: Removed, should no longer be
  needed. Since lm_sensors 2.8.6, isadump is only compiled on i386
  and x86_64.
- Likewise, no need to patch prog/dump/isadump.c for powerpc,
  as it won't be compiled for these architectures anyway.
* Thu Apr  5 2007 werner@suse.de
- Update to lm_sensors version 2.10.3 which added support for
  recent devices and support for kernel 2.6.22.
* Thu Mar 29 2007 ro@suse.de
- added bison,flex to buildreq
* Mon Feb 19 2007 werner@suse.de
- Make README.SuSE encoding independend (bug #246130)
* Tue Jan 30 2007 werner@suse.de
- Update to lm_sensors version 2.10.2 which added support for
  recent devices.
* Mon Nov 13 2006 werner@suse.de
- Update to lm_sensors version 2.10.1 which also includes the
  fix for bug #192092 by not overwriting chip settings
- Remove notify warn message from pdb about overwriting settings
* Mon Jun 26 2006 werner@suse.de
- Load i2c-dev kernel module instead of i2c-sensor (bug #188126)
* Tue Feb 28 2006 werner@suse.de
- Update to version 2.10.0 for better udev support (bug #151931)
- Add i2c-0 to static device list for udev (bug #151931)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 werner@suse.de
- Include fan control in lm_sensors service script (bug #141958)
* Tue Dec 13 2005 werner@suse.de
- Do not to handle module variables from package Modules (#137963)
* Thu Nov 10 2005 werner@suse.de
- Add postun section to run insserv_clean (bug #132934)
* Fri Oct 14 2005 werner@suse.de
- Update to lm_sensors version 2.9.2
* Thu Aug 25 2005 werner@suse.de
- Security fix in pwmconfig (bug #112925)
* Wed May 11 2005 schwab@suse.de
- Add freetype2 and libart_lgpl to nfb, needed by rrdtool.
* Mon May  9 2005 werner@suse.de
- Update to lm_sensors-2.9.1
- Use insserv to enable rc script (bug #76174)
* Thu Feb 17 2005 werner@suse.de
- Update to lm_sensors-2.9.0 (bug #50681)
* Mon Aug 30 2004 werner@suse.de
- Update to newest lm_sensors-2.8.7 to be compatible to the current
  kernel version.
* Tue May  4 2004 werner@suse.de
- Fix bug #35502 (missing w83627hf entries) by updating to
  lm_sensors-2.8.6 which includes a better parser for sysfs
* Tue Apr 13 2004 ro@suse.de
- remove kernel-source from neededforbuild
  (not needed any longer)
* Wed Mar 10 2004 werner@suse.de
- Add workaround for missing w83627hf chip driver (bug #35501)
* Tue Mar  9 2004 werner@suse.de
- A few changes for kernel 2.6 (bug #35500)
* Fri Mar  5 2004 pth@suse.de
- Remove no-strict-aliasing and fix the code instead. Patch
  was also sent to upstream maintainers for inclusion.
* Fri Mar  5 2004 ro@suse.de
- added libpng to neededforbuild (for rrdtool)
- use no-strict-aliasing
* Wed Jan 28 2004 ro@suse.de
- update to 2.8.3
- use buildroot and build as user
* Fri Sep 12 2003 ro@suse.de
- configure kernel-source if needed
* Mon Jul 21 2003 werner@suse.de
- Update to lm_sensors 2.8.0
* Thu Jun  5 2003 ro@suse.de
- compile using headers from kernel-source not glibc
* Wed Mar 19 2003 olh@suse.de
- add lm_sensors-2.7.0-nodump.patch to fix dependency tree
* Thu Feb 27 2003 werner@suse.de
- Fix location of sensors program in boot script
* Tue Feb 11 2003 werner@suse.de
- Update due to kernel interface update (anything else is a bug)
* Mon Dec  2 2002 werner@suse.de
- Update to lm_sensors 2.4.6
* Wed Nov  6 2002 werner@suse.de
- Fix bug # 21583: sensors shouldn't segfault on missing argument.
* Wed Sep  4 2002 werner@suse.de
- Fix boot scripts to be usable (bug #18868)
- Install some progs which are described in FAQ
* Wed Aug 28 2002 fehr@suse.de
- updated to current version 2.6.4 of lm_sensors
* Thu Aug  1 2002 werner@suse.de
- Use _libdir macro for 64bit architectures
* Wed Jul 31 2002 werner@suse.de
- Install sensord daemon for logging (bug #17316)
* Tue Jun 18 2002 ke@suse.de
- Fix typo in README.SuSE [# 14790].
* Mon Aug  6 2001 uli@suse.de
- fixed to build on PPC
* Wed Jul  4 2001 werner@suse.de
- update to 2.6.0
* Mon Apr 16 2001 werner@suse.de
- update to 2.5.5
* Thu Apr  5 2001 uli@suse.de
- removed lx_suse from neededforbuild
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Mon Jun 19 2000 ro@suse.de
- update to 2.5.0
* Wed Jun  7 2000 uli@suse.de
- moved docs to %%{_docdir}
* Fri Feb 11 2000 ro@suse.de
- removed requires kernmod (package eliminated)
* Wed Feb  2 2000 werner@suse.de
- No asm/io.h if sys/io.h is included
* Wed Feb  2 2000 werner@suse.de
- No sys/perm.h or sys/io.h on ppc and sparc
* Tue Feb  1 2000 werner@suse.de
- New package sensors (version 2.4.3 corresponds with
  current used kernel i2c patch)
  - Prefix is /usr, mandir is /usr/share/man, and kernel
  includes i2c
  - Be reentrant
  - Use RPM_OPT_FLAGS
  - Install docs of busses, chips and the FAQ
